# SPDX-FileCopyrightText: 2020 Helmholtz Centre for Environmental Research (UFZ)
# SPDX-FileCopyrightText: 2020 Helmholtz-Zentrum Dresden - Rossendorf (HZDR)
#
# SPDX-License-Identifier: Apache-2.0

---
gitlab_runner_version: ""

gitlab_runner_apt_repo: "deb https://packages.gitlab.com/runner/gitlab-runner/{{ ansible_distribution | lower }}/ {{ ansible_distribution_release }} main"

gitlab_runner_deb_file: ""

gitlab_gpg_key_id: "F6403F6544A38863DAA0B6E03F01618A51312F3F"

gitlab_gpg_old_key_ids: []

gitlab_runner_docker_machine_binary_url: "https://gitlab-docker-machine-downloads.s3.amazonaws.com/v0.16.2-gitlab.12/docker-machine-Linux-x86_64"

gitlab_runner_docker_machine_binary_checksum: "sha256:0c9c659318fabe54cff460b6bb1d92f2a987dffd7de03d6ccc17d6449d4871f9"

gitlab_runner_transpiler_binary_url: https://github.com/flatcar-linux/container-linux-config-transpiler/releases/download/v0.9.2/ct-v0.9.2-x86_64-unknown-linux-gnu

gitlab_runner_transpiler_binary_checksum: "sha256:eba1dae93e19276dbf0a5370e35e967e686e2ed4d08e1725ce305b4226733f72"

gitlab_runner_install_docker: true

gitlab_runner_namerservers:
    - 9.9.9.9
    - 149.112.112.112

gitlab_runner_mtu: 1450

gitlab_runner_config_path: "/etc/gitlab-runner/config.toml"

gitlab_runner_list: []

gitlab_runner_ssh_private_key_path: "/etc/gitlab-runner/gitlab_runner_key"
gitlab_runner_ssh_public_key_path: "/etc/gitlab-runner/gitlab_runner_key.pub"
